
/* Literal handler implementation

Copyright (C) 2008 Roberto Navone <ron@object65.it>
 
This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; version 2
of the License.
 
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
 
You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 
*/

#define LITDATA
#include "LiteralHandler.h"

static char **lit = lit_ita;

/*
 * Set language
 */
void LiteralHandler::SetLanguage(int lang)
{
  if (lang == ITALIAN)
    lit = lit_ita;
  else
    lit = lit_eng;
}

/*
 * Get requeste literal
 */
char* LiteralHandler::GetLit(int nLit)
{
  return (lit[nLit]);
}
